Export saved objects

Base URL
https://{kibana_url}
  • POST /api/saved_objects/_export
Auth

Retrieve sets of saved objects that you want to import into Kibana. You must include type or objects in the request body. The output of exporting saved objects must be treated as opaque. Tampering with exported data risks introducing unspecified errors and data loss.

Exported saved objects are not backwards compatible and cannot be imported into an older version of Kibana.

Note

The exported saved objects include coreMigrationVersion and typeMigrationVersion metadata. If you store exported saved objects outside of Kibana (for example in NDJSON files) or generate them yourself, you must preserve or include these fields to retain forward compatibility across Kibana versions.

Note

The savedObjects.maxImportExportSize configuration setting limits the number of saved objects which may be exported.

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

excludeExportDetails boolean · default: false

Do not add export details entry at the end of the stream.

hasReference union anyOf
object or object[]
id string · max length: 512 required
type string · max length: 256 required
includeReferencesDeep boolean · default: false

Includes all of the referenced objects in the exported objects.

objects object[] · max items: 10000

A list of objects to export. NOTE: this optional parameter cannot be combined with the types option

id string · max length: 512 required
type string · max length: 256 required

Search for documents to export using the Elasticsearch Simple Query String syntax.

type union string | string[]

The saved object types to include in the export. Use * to export all the types. Valid options depend on enabled plugins, but may include visualization, dashboard, search, index-pattern, tag, config, config-global, lens, map, event-annotation-group, query, url, action, alert, alerting_rule_template, apm-indices, cases-user-actions, cases, cases-comments, infrastructure-monitoring-log-view, ml-trained-model, osquery-saved-query, osquery-pack, osquery-pack-asset.

Responses

Indicates a successfull call.

application/x-ndjson

Response Type: object

Bad request.

application/json
error string required
message string required
statusCode enum required
Values: 400
Base URL
https://{kibana_url}